commit: f82deeafdd9ec33fd478eca1d9f981a8a2124525
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 23 20:12:29 2016 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Fri Dec 23 20:12:47 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f82deeaf
mail-filter/spamassassin: new revision with fixed packlist.
SpamAssassin, being a perl package, installs a ".packlist" file. By
default that file contains paths from ${D}, our temporary installation
directory. This new revision adds a call to perl_fix_packlist() from
the perl-functions eclass, which replaces those incorrect paths with
the correct ones on the root filesystem.
Package-Manager: portage-2.3.0
...massassin-3.4.1-r9.ebuild => spamassassin-3.4.1-r10.ebuild} | 10 +++++++++-
1 file changed, 9 insertions(+), 1 deletion(-)
diff --git a/mail-filter/spamassassin/spamassassin-3.4.1-r9.ebuild
b/mail-filter/spamassassin/spamassassin-3.4.1-r10.ebuild
similarity index 93%
rename from mail-filter/spamassassin/spamassassin-3.4.1-r9.ebuild
rename to mail-filter/spamassassin/spamassassin-3.4.1-r10.ebuild
index 44e7f29..9ba34fc 100644
--- a/mail-filter/spamassassin/spamassassin-3.4.1-r9.ebuild
+++ b/mail-filter/spamassassin/spamassassin-3.4.1-r10.ebuild
@@ -213,8 +213,16 @@ src_install () {
update-spamassassin-rules
fi
- # Remove perllocal.pod to avoid file collisions (bug #603338)
+ # Remove perllocal.pod to avoid file collisions (bug #603338).
perl_delete_localpod || die "failed to remove perllocal.pod"
+
+ # The perl-module eclass calls three other functions to clean
+ # up in src_install. The first fixes references to ${D} in the
+ # packlist, and is useful to us, too. The other two functions,
+ # perl_delete_emptybsdir and perl_remove_temppath, don't seem
+ # to be needed: there are no empty directories, *.bs files, or
+ # ${D} paths remaining in our installed image.
+ perl_fix_packlist || die "failed to fix paths in packlist"
}
src_test() {